// Code generated by sqlc. DO NOT EDIT.

package db

import (
	"database/sql"
	"encoding/json"
	"time"
)

type Instance struct {
	ResourceID string
	BaseImage  string
	Memory     int32
	Cpu        int32
	Node       sql.NullString
	State      int32
	UserData   []byte
	RootVolume string
}

type Job struct {
	JobID          string
	CreatedAt      time.Time
	AssignedWorker string
	State          int32
	StateText      string
	JobType        string
	JobData        json.RawMessage
}

type Network struct {
	ResourceID string
	Tenant     string
	VlanID     int32
}

type Node struct {
	ResourceID string
	Hostname   string
	Available  bool
}

type Openwrt struct {
	OpenwrtID string
}

type Resource struct {
	ResourceID string
	Tenant     string
}

type ResourceTag struct {
	ResourceID string
	Tag        string
	Value      string
}

type Tenant struct {
	Name  string
	State int32
}

type Volume struct {
	ResourceID string
	Node       string
	Size       int32
	Instance   sql.NullString
}
